All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
op::CameraParameterReader Class Reference

`#include <cameraParameterReader.hpp>`

## Public Member Functions

| CameraParameterReader ()
virtual | ~CameraParameterReader ()
| CameraParameterReader (const std::string &serialNumber, const cv::Mat &cameraIntrinsics, const cv::Mat &cameraDistortion, const cv::Mat &cameraExtrinsics=cv::Mat())
void | readParameters (const std::string &cameraParameterPath, const std::vector< std::string > &serialNumbers={})
void | writeParameters (const std::string &cameraParameterPath) const
unsigned long long | getNumberCameras () const
const std::vector< std::string > & | getCameraSerialNumbers () const
const std::vector< cv::Mat > & | getCameraMatrices () const
const std::vector< cv::Mat > & | getCameraExtrinsics () const
const std::vector< cv::Mat > & | getCameraIntrinsics () const
const std::vector< cv::Mat > & | getCameraDistortions () const

## Constructor & Destructor Documentation

op::CameraParameterReader::CameraParameterReader | ( |  | ) |

explicit

virtual op::CameraParameterReader::~CameraParameterReader | ( |  | ) |

virtual

op::CameraParameterReader::CameraParameterReader | ( | const std::string & | serialNumber,
|  | const cv::Mat & | cameraIntrinsics,
|  | const cv::Mat & | cameraDistortion,
|  | const cv::Mat & | cameraExtrinsics = `cv::Mat()`
| ) |  |

explicit

## Member Function Documentation

const std::vector<cv::Mat>& op::CameraParameterReader::getCameraDistortions | ( |  | ) | const

const std::vector<cv::Mat>& op::CameraParameterReader::getCameraExtrinsics | ( |  | ) | const

const std::vector<cv::Mat>& op::CameraParameterReader::getCameraIntrinsics | ( |  | ) | const

const std::vector<cv::Mat>& op::CameraParameterReader::getCameraMatrices | ( |  | ) | const

const std::vector<std::string>& op::CameraParameterReader::getCameraSerialNumbers | ( |  | ) | const

unsigned long long op::CameraParameterReader::getNumberCameras | ( |  | ) | const

void op::CameraParameterReader::readParameters | ( | const std::string & | cameraParameterPath,
|  | const std::vector< std::string > & | serialNumbers = `{}`
| ) |  |

void op::CameraParameterReader::writeParameters | ( | const std::string & | cameraParameterPath | ) | const

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/3d/cameraParameterReader.hpp